Subject: [ietf-tls] Re: WG Last Call: Proposed New Charter for TLS Wor king Group

From: [email-masked]
Date: Wed, 27 Sep 2000 13:23:07 +0300

I support defining an extension mechanism, and having it stated in the
charter. 

Many kinds of functionality would benefit from an extension mechanism. E.g.
those that require a sort of capability negotiation between client and
server:
 - client saying in Client Hello "I would to use a certain feature"
 - server confirming in Server Hello "Yes, I support this feature"

/Olli

> -----Original Message-----
> From: EXT David P. Kemp [mailto:[email-masked]]
> Sent: 26. September 2000 19:56
> To: IETF Transport Layer Security WG
> Subject: [ietf-tls] Re: WG Last Call: Proposed New Charter for TLS
> Working Group
> 
> 
> Is there not a plan to develop (under charter) a general-purpose TLS
> extension mechanism?  Extensions are a long-term good because they
> isolate the base specification from many (but not all) "substantial
> changes for sound technical reasons".
> 
> If the addition of an extension mechanism is itself reason to cycle
> back to Proposed, and if the mechanism is eventually needed, then it
> would be better to define it sooner rather than later.
> 
> Dave
> 
> 
> 
> > To: "IETF Transport Layer Security WG" <[email-masked]>
> > From: Win Treese <[email-masked]>
> > Subject: [ietf-tls] WG Last Call: Proposed New Charter for 
> TLS Working Group
> > Date: Tue, 26 Sep 2000 11:47:17 -0400
> > List-Subscribe: <mailto:[email-masked]>
> > List-Owner: <mailto:[email-masked]>
> > X-List-Host: Certicom <http://www.certicom.com/>
> > X-Message-Id: <[email-masked]>
> > X-List-Host: SKYLIST.net <http://www.SKYLIST.net/>
> > 
> > 
> > This is a Working Group Last Call on the proposed new 
> charter for the
> > TLS working group. The Last Call period will close in one week, on
> > Tuesday, October 3, 2000. If there are no significant objections, I
> > will then forward it to the IESG.
> > 
> > Since there has been little discussion of the new charter proposal
> > since it was originally posted, it seems acceptable to the 
> working group.
> > 
> > Note that if we find the need to make incompatible or substantial
> > changes for sound technical reasons, we will cycle the specification
> > in grade at Proposed Standard. The milestone below indicates that we
> > are driving to Draft, but that will change if needed. I am not aware
> > of any such changes in the works, however.
> > 
> > Here again is the proposed charter:
> > 
> >     The TLS Working Group was established in 1996 to standardize a
> >     "transport layer" security protocol. The workking group 
> began with SSL
> >     version 3.0, and in 1999, RFC 2246, TLS Protocol Version 1.0 was
> >     published as a Proposed Standard. The working group has 
> also published
> >     RFC 2712, Addition of Kerberos Cipher Suites to Transport Layer
> >     Security (TLS) as a Proposed Standard, and two RFCs on 
> the use of TLS
> >     with HTTP.
> > 
> >     The primary purpose of the working group is to advance the TLS
> >     Protocol to Internet Standard. In addition, the working 
> group will
> >     publish documents defining new ciphersuites for use with TLS as
> >     needed.
> > 
> >     Milestones
> > 
> >     Nov 2000	First revised draft of TLS specification
> >     April 2001	Submit specification to IESG for 
> consideration as
> > 		Draft Standard
> > 
> > 
> > Win Treese
> > TLS WG chair
> > [email-masked]
> > 
> > 
> > ---
> > You are currently subscribed to ietf-tls as: [email-masked]
> > To unsubscribe send a blank email to 
> [email-masked]
> > 
> > 
> > 
> **************************************************************
> ***************
> > This confirms that this email message has been swept by
> > MIMEsweeper for the presence of computer viruses.
> > 
> **************************************************************
> ****************
> 
> 
> ---
> You are currently subscribed to ietf-tls as: [email-masked]
> To unsubscribe send a blank email to 
> [email-masked]
> 

---
You are currently subscribed to ietf-tls as: [email-masked]
To unsubscribe send a blank email to [email-masked]